Mutate items of the unified items view
curl --request PATCH \
--url https://api.pricenow.dev/api/booking/products/{productId}/journey/unified-view/items \
--header 'Content-Type: application/json' \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>' \
--data '
{
"items": [
{
"id": 123,
"productVariantId": 123,
"personId": 123,
"validity": {
"from": "<string>",
"to": "<string>"
},
"parentItemId": 123,
"originatedItemId": 123,
"discountCardTypeId": 123
}
],
"mutations": [
{
"id": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.pricenow.dev/api/booking/products/{productId}/journey/unified-view/items"
payload = {
"items": [
{
"id": 123,
"productVariantId": 123,
"personId": 123,
"validity": {
"from": "<string>",
"to": "<string>"
},
"parentItemId": 123,
"originatedItemId": 123,
"discountCardTypeId": 123
}
],
"mutations": [
{
"id": "<string>",
"value": "<string>"
}
]
}
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
id: 123,
productVariantId: 123,
personId: 123,
validity: {from: '<string>', to: '<string>'},
parentItemId: 123,
originatedItemId: 123,
discountCardTypeId: 123
}
],
mutations: [{id: '<string>', value: '<string>'}]
})
};
fetch('https://api.pricenow.dev/api/booking/products/{productId}/journey/unified-view/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": 123,
"productId": 123,
"title": "<string>",
"subtitle": "<string>",
"description": [
{
"children": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"markDefs": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"style": "<string>",
"listItem": "<string>",
"level": 123
}
],
"shortDescription": "<string>",
"images": [
{
"kind": "image",
"url": "<string>",
"alt": "<string>"
}
],
"price": {
"listPrice": 123,
"discountedPrice": 123
},
"formElements": [
{
"id": "<string>",
"explanation": "<string>",
"kind": "dropdown",
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"disabled": true
}
],
"intent": "attribute",
"value": "<string>",
"attributeKey": "<string>"
}
],
"person": {
"id": 123,
"createdAt": "<string>",
"lastUpdateAt": "<string>",
"isOwner": true,
"fields": {}
},
"validity": {
"from": "<string>",
"to": "<string>"
},
"discounts": [
{
"discount": 123,
"label": "<string>"
}
],
"productVariantId": 123,
"discountCardTypeId": 123,
"merchant": {
"identifier": "<string>",
"timezone": "<string>"
},
"requiredProducts": [
{
"id": 123,
"productId": 123,
"title": "<string>",
"subtitle": "<string>",
"description": [
{
"children": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"markDefs": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"style": "<string>",
"listItem": "<string>",
"level": 123
}
],
"shortDescription": "<string>",
"images": [
{
"kind": "image",
"url": "<string>",
"alt": "<string>"
}
],
"price": {
"listPrice": 123,
"discountedPrice": 123
},
"formElements": [
{
"id": "<string>",
"explanation": "<string>",
"kind": "dropdown",
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"disabled": true
}
],
"intent": "attribute",
"value": "<string>",
"attributeKey": "<string>"
}
],
"person": {
"id": 123,
"createdAt": "<string>",
"lastUpdateAt": "<string>",
"isOwner": true,
"fields": {}
},
"validity": {
"from": "<string>",
"to": "<string>"
},
"discounts": [
{
"discount": 123,
"label": "<string>"
}
],
"productVariantId": 123,
"discountCardTypeId": 123,
"merchant": {
"identifier": "<string>",
"timezone": "<string>"
},
"displayPrice": true
}
],
"optionalProducts": [
{
"id": "<string>",
"type": "checkbox",
"value": true,
"isAvailable": true,
"unavailabilityReason": "OUT_OF_CAPACITY",
"product": {
"id": 123,
"productId": 123,
"title": "<string>",
"subtitle": "<string>",
"description": [
{
"children": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"markDefs": [
{
"_type": "<string>",
"_key": "<string>"
}
],
"style": "<string>",
"listItem": "<string>",
"level": 123
}
],
"shortDescription": "<string>",
"images": [
{
"kind": "image",
"url": "<string>",
"alt": "<string>"
}
],
"price": {
"listPrice": 123,
"discountedPrice": 123
},
"formElements": [
{
"id": "<string>",
"explanation": "<string>",
"kind": "dropdown",
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"disabled": true
}
],
"intent": "attribute",
"value": "<string>",
"attributeKey": "<string>"
}
],
"person": {
"id": 123,
"createdAt": "<string>",
"lastUpdateAt": "<string>",
"isOwner": true,
"fields": {}
},
"validity": {
"from": "<string>",
"to": "<string>"
},
"discounts": [
{
"discount": 123,
"label": "<string>"
}
],
"productVariantId": 123,
"discountCardTypeId": 123,
"merchant": {
"identifier": "<string>",
"timezone": "<string>"
}
},
"displayPrice": true,
"displayImage": true
}
]
}
],
"itemsSerialized": [
{
"id": 123,
"productVariantId": 123,
"personId": 123,
"validity": {
"from": "<string>",
"to": "<string>"
},
"parentItemId": 123,
"originatedItemId": 123,
"discountCardTypeId": 123
}
]
}
}booking
Mutate items of the unified items view
Allows mutating items of the unified items view. Either attributes or the validity of an item can be mutate. Further, this endpoint allows for (de)selecting optional cross selling options on items.
PATCH
/
api
/
booking
/
products
/
{productId}
/
journey
/
unified-view
/
items
Mutate items of the unified items view
Headers
Language of the response
Available options:
en, de, fr, it UUID of the sales channel
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

